import QtQuick 2.3
import QtQuick.Controls 1.2
import QtQuick.Layouts 1.1

ColumnLayout {
    id: confirmdeletion
    visible: false
    property int modelIndex : -1
    function show(index, title, book, url) {
        if (index >= 0) {
            modelIndex = index;
            confirmtext.text = "Delete " + title + "?"
            visible = true;
        }
    }
    function cancel() {
        modelIndex = -1;
        visible = false;
    }

    Text {
        id: confirmtext
        Layout.alignment: Layout.Center
    }

    RowLayout {
        spacing: 100
        Layout.alignment: Layout.Center
        Button {
            text: "Confirm Delection"
            onClicked: {
                booklistmodel.deleteItemConfirmed(confirmdeletion.modelIndex);
                confirmdeletion.visible = false;
            }
        }
        Button {
            text: "Cancel"
            onClicked: {
                confirmdeletion.cancel();
            }
        }
    }
    Text {
        Layout.alignment: Layout.Center
        text: "The entry will be removed from the library database, but the file will not be deleted."
    }
}
