import QtQuick 2.3
import QtQuick.Layouts 1.1

ColumnLayout {
    visible: bookentryform.visible && !library.editMode
    Text {
        Layout.alignment: Qt.AlignHCenter
        text: "Note: Not all ABC notation features are supported."
        font.pixelSize: Math.floor(12 * settings.list_scale)
    }
    Text {
        id: disclaimer
        //visible: !bookentryform.fileMode || booklistfilemodel.count > 0
        Layout.alignment: Qt.AlignHCenter
        text: {
            if (bookentryform.fileMode)
            {
                if (booklistfilemodel.count > 0)
                    return "Select a file from the list below and the App will fill in the fields for you."
                else
                    return "No ABC files found.  If you know the file path, enter it into the file name field below."
            }
            else
                return "Paste the url into the Download Url field below (press and hold) and let the App do the rest."
        }
        font.pixelSize: Math.floor(12 * settings.list_scale)
    }
}
