import QtQuick 2.3
import QtQuick.Controls 1.2
import QtQuick.Layouts 1.1

ListView {
    id: filelist
    property int calculatedWidth: settings.getTextExtent(parent, Math.floor(12 * settings.list_scale), "No ABC files found.  If you know the file path, enter it into the file name field below.").width;
        //disclaimer.width
    Layout.preferredWidth: calculatedWidth
//    Layout.fillHeight: true
    //Layout.preferredHeight: mainview.height / 2
    //height: 50
    model: booklistfilemodel
    visible: bookentryform.fileMode
    delegate: filelistdelegate
//                function setWidth(filename, pixelsize) {
//                    var extent = liblist.getTextExtent(parent, pixelsize, filename);
//                    if (extent > calculatedWidth)
//                        calculatedWidth = extent;
//                }

//                highlight: Rectangle {
//                    id: filelistrect
//                    width: filelist.width
//                    color: "lightsteelblue"; radius: 5
//                }

    Component {
        id: filelistdelegate
        Text {
            text: filename
            font.pixelSize: liblist.titlePixelSize * .7
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    bookentryform.bookfieldtext = filename;
                    //bookfield.text = filename;
                    //filelist.setWidth(filename, liblist.titlePixelSize);
                    filelist.currentIndex = index;

                }
            }
        }
    }
}
