import QtQuick 2.3

Rectangle {
    MouseArea {
        anchors.fill: parent;
        //drag.target: rhythms
        drag.axis: Drag.XAxis
        drag.minimumX: 30
        //drag.maximumX: page.width - 140
        property int xMouseStart: 0
        onPressed: {
            xMouseStart = mouse.x;
            //parent.state = 'narrow';
        }
        onPositionChanged: {
            if (xMouseStart < mouse.x) {
                // moving to right, increase width of target
                settings.list_scale += 0.1;
            }
            else {
                if (settings.list_scale >= 0.5)
                    settings.list_scale -= 0.1;
                else
                    parent.state = 'narrow';
            }
        }
    }
}
