import QtQuick 2.3

Row {
    spacing: 10
    visible: parent.currentTune !== null && parent.currentTune.canPlay
    Text {
        font.pixelSize: 12
        text: "Bar number: " + noteTimer.barNumber
    }
    Text {
        font.pixelSize: 12
        text: "Count (this note): " + noteTimer.countSticky
    }
    Text {
        font.pixelSize: 12
        text: "Interval (mS): " + noteTimer.interval
    }
    Text {
        font.pixelSize: 12
        text: "Elapse time (mS): " + noteTimer.elapsed
    }
/*    Text {
        font.pixelSize: 12
        text: "Overflow: " + noteTimer.overflow
    }*/
    Text {
        font.pixelSize: 12
        text: "Start: " + noteTimer.systemCountStart
    }
    Text {
        font.pixelSize: 12
        text: "End: " + noteTimer.systemCountEnd
    }
    Text {
        font.pixelSize: 12
        text: "Duration: " + noteTimer.systemCountDuration
    }
    Text {
        font.pixelSize: 12
        text: "Total count: " + noteTimer.countTotal
    }
    Text {
        font.pixelSize: 12
        text: "Period: " + noteTimer.systemCountPeriod + " ("
              + noteTimer.systemCountPeriodMin + "," +
              + noteTimer.systemCountPeriodMax + ")";
    }
}
