import QtQuick 2.3

Item {
//    id: settings
    property int actionbarHeight: Qt.platform.os === "ios" ? 25 : 50
    property int actionbarSpacing: Qt.platform.os === "ios" ? 50 : mainview.width * 0.030   // change ios when audio supported
    property string actionbarColor: "light gray"
    property string actionbarGripperColor: "gray"
    property real actionbarGripperOpacity: 0.5
    //property int actionbarSpacing: width * 0.04
    property int menudotsSides: Qt.platform.os === "ios" ? 4 : 8
    property int homeMenuSides: Qt.platform.os === "ios" ? 3 : 6
    property bool supportsAudio: (Qt.platform.os === "ios" || Qt.platform.os === "osx") ? false : true
    property bool allowFilesToBeAdded: (Qt.platform.os === "ios" || Qt.platform.os === "osx") ? false : true
    property real iosScale: Qt.platform.os === "ios" ? 0.5 : 1.0
    property int buttonRadius: Qt.platform.os === "ios" ? 5 : 10
    property real buttonOpacity: 0  //0.1
    property string buttonColor: "blue"
    property int buttonBorderWidth: 0
    property real score_scale: mainview.width /1000
    property int fretscale: mainview.width / 500
    property real list_scale: mainview.width /1000
    property int text_scale: mainview.width / 600
    property int liblist_spacing: mainview.height / 18
    property bool sharingEnabled: true
    /*Component.onCompleted: {
        //if (Qt.platform.os === "android") {
            var i = Screen.desktopAvailableWidth;
            console.log("i:" + i);
        //}
    }
    function getdesktopAvailableWidth() {
        var i = Screen.desktopAvailableWidth;
        console.log("i:" + i);
        return i;
    }*/
    function getTextExtent(parent, pixelSize, text) {
        var textElement = Qt.createQmlObject(
                            'import QtQuick 2.2;'
                            + 'Text {'
                            + '   visible: false; '
                            + '   text: "' + text + '"; '
                            + '   font.pixelSize: ' + pixelSize + ' '
                            + '}',
                            parent, "getTextExtent");
        var width = textElement.width;
        var height = textElement.height;
        textElement.destroy();
        //console.log("width: " + width + ", height: " + height)
        return { width: width, height: height }
    }
}
