function fetchFirstNoteInPreviousBar(thisBar, thisTune) {
    var nextNote = null;
    var nextBar;
    var nextBarNumber = 0;
    nextBar = thisTune.previousBar(thisBar);
    if (nextBar)
    {
        nextNote = nextBar.firstNote();
        nextBarNumber = nextBar.barNumber;
    }
    return { note: nextNote, bar: nextBar, barNumber: nextBarNumber };
}
function fetchFirstNoteInNextBar(thisBar, thisTune) {
    var nextNote = null;
    var nextBar;
    var nextBarNumber = 0;
    nextBar = thisTune.nextBar(thisBar);
    if (nextBar)
    {
        nextNote = nextBar.firstNote();
        nextBarNumber = nextBar.barNumber;
    }
    return { note: nextNote, bar: nextBar, barNumber: nextBarNumber };
}
function fetchNextNote(thisNote, thisBar, thisTune) {
    var nextNote;
    var nextBar;
    var nextBarNumber = 0;
    if (thisNote === null && thisBar === null) {
        nextBar = thisTune.firstBar();
        nextNote = nextBar.firstNote();
    }
    else {
        nextNote = thisBar.nextNote(thisNote);
        nextBar = thisBar;
        if (nextNote === null)
        {
            nextBar = thisTune.nextBar(thisBar);
            if (nextBar !== null)
            {
                nextNote = nextBar.firstNote();
            }
        }
    }
    if (nextBar)
        nextBarNumber = nextBar.barNumber;
    return { note: nextNote, bar: nextBar, barNumber: nextBarNumber };
}
