import QtQuick 2.3

Row {
    visible: tunearea.currentTune !== null
    property int capoPosition: 0
    function setCapoPosition(pos) {
        if (capoPosition === pos)
            capoPosition = 0
        else
            capoPosition = pos
        score.markDirty(score.canvasWindow);
    }
    Rectangle {
        id: fret1
        width: 20 * settings.fretscale
        height: 20 * settings.fretscale
        property int fret: 1
        color: capoPosition === fret ? "green" : "red"
        MouseArea {
            anchors.fill: parent
            onClicked: {
                setCapoPosition(fret1.fret);
            }
        }
    }
    Rectangle {
        id: fret2
        width: 20 * settings.fretscale
        height: 20 * settings.fretscale
        property int fret: 2
        color: capoPosition === fret ? "green" : "blue"
        MouseArea {
            anchors.fill: parent
            onClicked: {
                setCapoPosition(fret2.fret);
            }
        }
    }
    Rectangle {
        id: fret3
        width: 20 * settings.fretscale
        height: 20 * settings.fretscale
        property int fret: 3
        color: capoPosition === fret ? "green" : "red"
        MouseArea {
            anchors.fill: parent
            onClicked: {
                setCapoPosition(fret3.fret);
            }
        }
    }
    Rectangle {
        id: fret4
        width: 20 * settings.fretscale
        height: 20 * settings.fretscale
        property int fret: 4
        color: capoPosition === fret ? "green" : "blue"
        MouseArea {
            anchors.fill: parent
            onClicked: {
                setCapoPosition(fret4.fret);
            }
        }
    }
    Rectangle {
        id: fret5
        width: 20 * settings.fretscale
        height: 20 * settings.fretscale
        property int fret: 5
        color: capoPosition === fret ? "green" : "red"
        MouseArea {
            anchors.fill: parent
            onClicked: {
                setCapoPosition(fret5.fret);
            }
        }
    }
    Rectangle {
        id: fret6
        width: 20 * settings.fretscale
        height: 20 * settings.fretscale
        property int fret: 6
        color: capoPosition === fret ? "green" : "blue"
        MouseArea {
            anchors.fill: parent
            onClicked: {
                setCapoPosition(fret6.fret);
            }
        }
    }
    Rectangle {
        id: fret7
        width: 20 * settings.fretscale
        height: 20 * settings.fretscale
        property int fret: 7
        color: capoPosition === fret ? "green" : "red"
        MouseArea {
            anchors.fill: parent
            onClicked: {
                setCapoPosition(fret7.fret);
            }
        }
    }
    Text {
        font.pixelSize: Math.floor(12 * settings.list_scale)
        text: "   Capo on fret " + capoPosition
    }
}
