import QtQuick 2.3

Rectangle {
    z: 1
    color: "black"
    width: 0
    anchors.top: actionbar.bottom
    height: mainview.height - actionbar.height
    visible: true
    id: slidinglist
    property var actionBarText
    property alias model: listview.model
    property alias index: listview.currentIndex
    property var actionCallback: null
    Behavior on width {
        PropertyAnimation {
        }
    }
    states: State {
        name: "open"
        PropertyChanges { target: actionBarText; color: "red" }
        PropertyChanges { target: slidinglist; width: 150 * settings.list_scale }
    }
    ListView {
        id: listview
        anchors.fill: parent
        clip: true
        highlightMoveDuration: 500
        //model: instrumentlistmodel
        highlight: Rectangle {
            width: slidinglist.width
            color: "lightsteelblue"; radius: 5
        }
        focus: false
        delegate :
            Text {
                color: "white"
                width: parent.width
                text: name;
                font.pixelSize: Math.floor(12 * settings.list_scale)
                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        slidinglist.state = "";
                        slidinglist.action(index, name);
                    }
                }
            }
    }
}
