import QtQuick 2.3
import QtQuick.Layouts 1.1

Rectangle {
    color: "light grey"
    property alias tabtext: tabtext.text
    property var targetColumn
    property var targetList
    property var alttext
    //property alias stateController: mousearea.stateController
    //height: parent.height
    Layout.fillHeight: true
    width: settings.actionbarHeight
    Text {
        id: tabtext
        font.pixelSize: Math.floor(12 * settings.list_scale)
        //font.pixelSize: Math.floor(12 * mainview.score_scale)
        anchors.left: parent.left
        //anchors.bottom: parent.bottom
        anchors.verticalCenter: parent.verticalCenter
        transformOrigin: Item.TopLeft
        rotation: -90
        //text: "Rhythms"
    }
    states: [
        State {
            name: "narrow"
            //PropertyChanges { target: targetColumn; visible: false }
            PropertyChanges { target: targetList; width: 0 }
            PropertyChanges { target: tabtext; text: alttext }

            //Behavior on width { PropertyAnimation {} }

        }
    ]
    MouseArea {
        id: mousearea
        property var stateController
        anchors.fill: parent
        onClicked: {
            if (parent.state === "narrow") {
                parent.state = "";
            }
            else {
                parent.state = "narrow";
            }
        }
    }
}
